System.Security 2.0.0.0 4.0.0.0

Use the interface with the class to decrypt an XrML <encryptedGrant> element.

Defines methods that decrypt an XrML <encryptedGrant> element.

- Method
  2.0.0.0
  4.0.0.0
  System.IO.Stream `` `` ``

  The method decrypts an XrML <encryptedGrant> element and returns a plaintext stream.

  Decrypts an XrML <encryptedGrant> element that is contained within a object.

  A object that contains a decrypted <encryptedGrant> element.

  An object that encapsulates the algorithm used for XML encryption. A object that contains an asymmetric key to use for decryption. A stream object that contains an <encryptedGrant> element to decrypt.